# Linkstacks -- https://github.com/LinkStackOrg/linkstack-docker
services:
  linkstack:
    container_name: 'linkstack'
    hostname: 'linkstack'
    image: 'linkstackorg/linkstack:latest'
    user: '0:0'
    environment:
      TZ: '${TIMEZONE}'
      SERVER_ADMIN: '${SERVER_ADMIN_EMAIL}'
      HTTP_SERVER_NAME: '${HTTP_SERVER_NAME_ADDRESS}'
      HTTPS_SERVER_NAME: '${HTTPS_SERVER_NAME_ADDRESS}'
      LOG_LEVEL: 'info'
      PHP_MEMORY_LIMIT: '256M'
      UPLOAD_MAX_FILESIZE: '8M'
    volumes:
      - 'linkstack_data:/htdocs'
    ports:
      - '8190:443'
    restart: unless-stopped

volumes:
  linkstack_data: